<?php
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	require('lib/lib.php');
	Inactividad();
}
?>
<?
$ClienteID = $_SESSION['ClienteID'];
?>
<script>
$(document).ready(function() {

	var searchBoxes = $(".text");
	var inputNombre = $("#edtNombre");
	var reqNombre = $("#req-Nombre");
	var inputUsuario = $("#edtUsuario");
	var reqUsuario = $("#req-Usuario");
	var inputPassword1 = $("#edtPassword1");
	var reqPassword1 = $("#req-Password1");
	var inputPassword2 = $("#edtPassword2");
	var reqPassword2 = $("#req-Password2");
	var inputEmail = $("#edtCorreo");
	var reqEmail = $("#req-Correo");
	var inputDepartamento = $("#edtDepartamento");
	var reqDepartamento = $("#req-Departamento");
	
	function validarNombre(){
		$("#message").html('');
		if(inputNombre.val().length < 4 || inputNombre.val().length > 50){
			reqNombre.addClass("error2");
			inputNombre.addClass("error2");
			$("#req-Nombre").html('A-Z, Mín. 4 y Máx. 50 caracteres.');
			$("#req-NombreImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputNombre.val().match(/^[a-zA-Z .]+$/)){
			reqNombre.addClass("error2");
			inputNombre.addClass("error2");
			$("#req-Nombre").html('Solo se aceptan letras.');
			$("#req-NombreImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			reqNombre.removeClass("error2");
			inputNombre.removeClass("error2");
			$("#req-Nombre").html("");
			$("#req-NombreImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	function validarUsuario(){
		$("#message").html("");
		if(inputUsuario.val().length < 4 || inputUsuario.val().length > 15){
			reqUsuario.addClass("error2");
			inputUsuario.addClass("error2");
			$("#req-Usuario").html('A-Z y 0-9, Mín. 4 y Máx. 15 caracteres.');
			$("#req-UsuarioImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputUsuario.val().match(/^[a-zA-Z0-9_-]+$/)){
			reqUsuario.addClass("error2");
			inputUsuario.addClass("error2");
			$("#req-Usuario").html("Solo se aceptan números y letras.");
			$("#req-UsuarioImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(ExisteUsuario() == true){
			inputUsuario.addClass("error2");
			reqUsuario.addClass("error2");
			$("#req-Usuario").html("El nombre de Usuario ya esta registrado.");
			$("#req-UsuarioImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			reqUsuario.removeClass("error2");
			inputUsuario.removeClass("error2");
			$("#req-Usuario").html("");
			$("#req-UsuarioImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	function validarEmail(){
		$("#message").html("");
		if(inputEmail.val().length < 6 || inputEmail.val().length > 50){
			inputEmail.addClass("error2");
			reqEmail.addClass("error2");
			$("#req-Correo").html('Escriba un Email válido Min. 6 caracteres.');
			$("#req-CorreoImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputEmail.val().match(/^[^\s()<>@,;:\/]+@\w[\w\.-]+\.[a-z]{2,}$/i)){
			inputEmail.addClass("error2");
			reqEmail.addClass("error2");
			$("#req-Correo").html('Escriba un Email válido.');
			$("#req-CorreoImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(ExisteCorreo() == true){
			inputEmail.addClass("error2");
			reqEmail.addClass("error2");
			$("#req-Correo").html('El Correo Electrónico ya esta registrado.');
			$("#req-CorreoImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			inputEmail.removeClass("error2");
			reqEmail.removeClass("error2");
			$("#req-Correo").html("");
			$("#req-CorreoImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	function validarPassword1(){
		if(inputPassword1.val().length < 3 || inputPassword1.val().length > 15){
			reqPassword1.addClass("error2");
			inputPassword1.addClass("error2");
			$("#req-Password1").html('A-Z y 0-9, Mín. 3 y Máx. 15 caracteres.');
			$("#req-Password1Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputPassword1.val().match(/^[a-zA-Z0-9]+$/)){
			reqPassword1.addClass("error2");
			inputPassword1.addClass("error2");
			$("#req-Password1").html('Solo se aceptan números y letras.');
			$("#req-Password1Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			reqPassword1.removeClass("error2");
			inputPassword1.removeClass("error2");
			$("#req-Password1").html("");
			$("#req-Password1Img").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	function validarPassword2(){
		if(inputPassword2.val().length < 3 || inputPassword2.val().length > 15){
			inputPassword2.addClass("error2");
			reqPassword2.addClass("error2");
			$("#req-Password2").html('A-Z y 0-9, Mín. 3 y Máx. 15 caracteres.');
			$("#req-Password2Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputPassword2.val().match(/^[a-zA-Z0-9]+$/)){
			reqPassword2.addClass("error2");
			inputPassword2.addClass("error2");
			$("#req-Password2").html('Solo se aceptan números y letras.');
			$("#req-Password2Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(inputPassword1.val() != inputPassword2.val()){
			inputPassword2.addClass("error2");
			reqPassword2.addClass("error2");
			$("#req-Password2").html('Confirme la misma Contraseña.');
			$("#req-Password2Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			reqPassword2.removeClass("error2");
			inputPassword2.removeClass("error2");
			$("#req-Password2").html("");
			$("#req-Password2Img").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	function validarDepartamento(){
		if(inputDepartamento.val() != ''){
			if(inputDepartamento.val().length < 5 || inputDepartamento.val().length > 20){
				inputDepartamento.addClass("error2");
				reqDepartamento.addClass("error2");
				$("#req-Departamento").html('A-Z y 0-9, Mín. 5 y Máx. 20 caracteres.');
				$("#req-DepartamentoImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
				return false;
			}
			else if(!inputDepartamento.val().match(/^[a-zA-Z0-9/]+$/)){
			inputDepartamento.addClass("error2");
			reqDepartamento.addClass("error2");
			$("#req-Departamento").html('Solo se aceptan números y letras.');
			$("#req-DepartamentoImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
			}
			else {
				inputDepartamento.removeClass("error2");
				reqDepartamento.removeClass("error2");
				$("#req-Departamento").html("");
				$("#req-DepartamentoImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
				return true;
			}
		}
		else{
			inputDepartamento.removeClass("error2");
			reqDepartamento.removeClass("error2");
			$("#req-Departamento").html("Es Opcional.");
			$("#req-DepartamentoImg").html("");
			return true;
		}
	}
	function ExisteUsuario() 
	{
		$.ajax({
			type: "POST",
			data: "Opcion=1&Usuario="+$('#edtUsuario').val()+"",  
			url: "ControlDuplicados.php",
			async: false,
			success: function(response) {
				if(response == 'NO')
					respuesta = false;
				else if(response == 'SI')
					respuesta = true;
				else
					$('#message').html(response);
			}
		});
		return respuesta;
	}
	function ExisteCorreo() {
		$.ajax({
			type: "POST",
			data: "Opcion=3&Correo="+$('#edtCorreo').val()+"",  
			url: "ControlDuplicados.php",
			async: false,
			success: function(response) {
				if(response == 'NO')
					respuesta = false;
				else if(response == 'SI')
					respuesta = true;
				else
					$("#message").html(response);
			}
		});
		return respuesta;
	}
	inputNombre.blur(validarNombre);
	inputUsuario.blur(validarUsuario);
	inputEmail.blur(validarEmail);
	inputPassword1.blur(validarPassword1);  
	inputPassword2.blur(validarPassword2);
	inputDepartamento.blur(validarDepartamento);
	
	$("#AltaForm").submit(function(){
		if(validarNombre() & validarUsuario() & validarPassword1() & validarPassword2() & validarEmail() & validarDepartamento())
			AltaUsuario();
		else
			return false;
		return false;
	});	
	
function AltaUsuario() {
	if($("[name=checkAdmin]:checked").val() == 1)
		var CheckBox = 1;
	else
		var CheckBox = 0;
	$.ajax({
		type: "POST",
		data: "Nombre="+$('#edtNombre').val()+"&Usuario="+$('#edtUsuario').val()+"&Correo="+$('#edtCorreo').val()+"&Password="+$('#edtPassword2').val()+"&Departamento="+$('#edtDepartamento').val()+"&Admin="+CheckBox+"&Grupo="+$('#cbGrupo').val()+"",  
		url: "ProcesarAltaUsuario.php",
		success: function(response) {
			if(response == "Agregado")	{		
				$.growlUI('Usuario Creado', 'Satisfactoriamente!');
				$("#message").html("<p class='success'>El Usuario se ha registrado satisfactoriamente!</p>");
			}else
				$('#message').html(response);
		}
	});
}
});
</script>
<table align="center" width="910" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="right" scope="col">
	<div id="dialog" class="dialog" title="Información de Alta de Usuario">
        <p>Si desea registrar un Usuario llene los siguientes campos:
        <br></br>* Nombre: Nombre real del Usuario, (Mínimo 4 caracteres).
        <br></br>* Usuario: Sobrenombre del Usuario (Mínimo 4 caracteres).
        <br></br>* Correo Electrónico: Correo Electrónico válido.
        <br></br>* Administrador: Selecciona si el Usuario a registrar sera Administrador.
        <br></br>* Contraseña: Permite números y letras (Mín. 3 y Max. 12 caracteres).
        <br></br>* Departamento: Campo Opcional, define al Departamento al que sera asignado.
        <br></br>* Grupo: Selecciona el Grupo al que pertenecera el Usuario.
        <br></br>* Oprima el botón 'Crear Usuario'.
        <br></br>* Si existe alguna advertencia, corrija.</p>
    </div>
    <b>Ayuda</b><img src="images/Help.png" name="opener" width="25" height="25" id="opener"/></td>
  </tr>
  <tr>
    <td scope="col">&nbsp;</td>
  </tr>
  <tr>
    <td scope="col">&nbsp;</td>
  </tr>
  <tr>
    <td scope="col">&nbsp;</td>
  </tr>
  <tr>
    <td scope="col">
    <form id="AltaForm" name="AltaForm" action= "" method="post">
    <table width="550" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td id="Titulo" colspan="3" align="center">Alta de Usuarios.</td>
      </tr>
      <tr>
        <td width="67">&nbsp;</td>
        <td width="265">&nbsp;</td>
        <td width="218">&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><b><label>Nombre: </label></b></td>
        <td align="left"><b><label>Contraseña: </label></b></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><input class="txt" name="edtNombre" type="text" id="edtNombre" title="Escribe el Nombre del Usuario." maxlength="35" <? if($_SESSION['Administrador'] == 1) { echo "enabled"; } else { echo 'disabled'; } ?> tabindex="1"/><span id="req-NombreImg" class="requisites error"></span></td>
        <td align="left"><input class="txt" name="edtPassword1" type="password" id="edtPassword1" title="Escribe la Contraseña del Usuario." maxlength="12"  <? if($_SESSION['Administrador'] == 1) { echo "enabled"; } else { echo 'disabled'; } ?> tabindex="5"/><span id="req-Password1Img" class="requisites error"></span></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><b><span id="req-Nombre" class="requisites error"></span></b></td>
        <td align="left"><b><span id="req-Password1" class="requisites error"></span></b></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><b><label>Usuario: </label></b></td>
        <td align="left"><b><label>Confirmar Contraseña: </label></b></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><input class="txt" name="edtUsuario" type="text" id="edtUsuario" title="Escribe el Nick del Usuario." maxlength="15" <? if($_SESSION['Administrador'] == 1) { echo "enabled"; } else { echo 'disabled'; } ?> tabindex="2"/><span id="req-UsuarioImg" class="requisites error"></span></td>
        <td align="left"><input class="txt" name="edtPassword2" type="password" id="edtPassword2"  title="Confirme la Contraseña del Usuario." maxlength="12" <? if($_SESSION['Administrador'] == 1) { echo "enabled"; } else { echo 'disabled'; } ?> tabindex="6"/><span id="req-Password2Img" class="requisites error"></span></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><b><span id="req-Usuario" class="requisites error"></span></b></td>
        <td align="left"><b><span id="req-Password2" class="requisites error"></span></b></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><b><label>Correo Electrónico: </label></b></td>
        <td align="left"><b><label>Departamento: </label></b></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><input class="txt" name="edtCorreo" type="text" id="edtCorreo" title="Escribe el Correo Electrónico del Usuario." <? if($_SESSION['Administrador'] == 1) { echo "enabled"; } else { echo 'disabled'; } ?> tabindex="3"/><span id="req-CorreoImg" class="requisites error"></span></td>
        <td align="left"><input class="txt" name="edtDepartamento" type="text" id="edtDepartamento" maxlength="20" <? if($_SESSION['Administrador'] == 1) { echo "enabled"; } else { echo 'disabled'; } ?> tabindex="7"/><span id="req-DepartamentoImg" class="requisites error"></span></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"><b><span id="req-Correo" class="requisites error"></span></b></td>
        <td align="left"><b><span id="req-Departamento" class="requisites error"></span></b></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left" title="Marqué la  opción si el Usuario sera Administrador.">&nbsp;</td>
        <td align="left" title="Seleccione el Grupo para el Usuario."><b>Grupo:</b></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left" title="Marqué la  opción si el Usuario sera Administrador."><b><label>Administrador: </label></b>
          <input name="checkAdmin" type="checkbox" id="checkAdmin" value="1" <? if($_SESSION['Administrador'] == 1) { echo "enabled"; } else { echo 'disabled'; } ?> tabindex="4"/></td>
        <td align="left" title="Seleccione el Grupo para el Usuario."><select name="cbGrupo" id="cbGrupo" <? if($_SESSION['Administrador'] == 1) { echo "enabled"; } else { echo 'disabled'; } ?> tabindex="8">
          <?
		  $QueryGrupos = mssql_query("SELECT * FROM SeccionWeb WHERE NombreSeccion <> '' AND ClienteID = '$ClienteID' ORDER BY SeccionWebID");
		  while ($EvaluarGrupos = mssql_fetch_assoc($QueryGrupos))
			{
				echo "<option value='".$EvaluarGrupos['SeccionWebID']."'>".  utf8_encode(CortarPalabras($EvaluarGrupos['NombreSeccion'], 15)) . "</option>";
			}
		?>
        </select></td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left"></td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left">&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3" align="center"><input class="submit" type="submit" id="submit" title="Crear un nuevo Usuario." value="Crear Usuario" <? if($_SESSION['Administrador'] == 1) { echo "enabled"; } else { echo 'disabled'; } ?> tabindex="9"/></td>
        </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left">&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3" align="center"><b><? if($_SESSION['Administrador'] == 1){ ?>
          <div id="message"></div>
          <? }else{?>
          <div id="message" class="error">Usted no tiene privilegios para dar de Alta a Usuarios!</div>
          <? } ?></b></td>
        </tr>
      <tr>
        <td>&nbsp;</td>
        <td align="left">&nbsp;</td>
        <td>&nbsp;</td>
      </tr>
    </table>
    </form></td>
  </tr>
  <tr>
    <td align="center" scope="col"><b class="error">Para cualquier duda, revise nuestra sección de Ayuda. <img src="images/Arrow.png" width="40" height="40" /></b></td>
  </tr>
</table>
